import javax.swing.*;
import java.awt.*;

public class Creature
{
	// Instance methods
	private ImageIcon image;
	private int x_loc, y_loc, width, height;
	
	// Constructors
	public Creature(ImageIcon image, int x_loc, int y_loc)
	{
		// Sets instance variables
		this.image = image;
		this.x_loc = x_loc;
		this.y_loc = y_loc;
		this.width = image.getIconWidth();
		this.height = image.getIconHeight(); 
	}
	
	public Creature(ImageIcon image)
	{
		this(image, 0, 0);
	}
	
	// Getters and setters
	public Image getImage()
	{
		return image.getImage(); 
	}
	
	public int getX_loc()
	{
		return x_loc;
	}
	
	public int getY_loc()
	{
		return y_loc;
	}
	
	public void setLocation(int x_loc, int y_loc)
	{
		this.x_loc = x_loc;
		this.y_loc = y_loc;
	}
	
	public int getWidth()
	{
		return width;
	}	
		
	public int getHeight()
	{
		return height;
	}
	
	// Instance methods
	// Returns true if the location passed in is in the image
	public boolean clickInImage(int x_clicked, int y_clicked)
	{
		// It's in the image, return true
		if (x_clicked >= x_loc && x_clicked <= x_loc+width && y_clicked >= y_loc && y_clicked <= y_loc+height)
			return true;
		// Otherwise, it is outside the image, return false
		return false;
	}
}